%define  	jarname			xerces-1_2_1
%define     javalibdir      /usr/share/java

# RH 7.0
#%%define manualdir     /var/www/html/manual/%{name}
# RH 6.x
%define manualdir       /home/httpd/html/manual/%{name}



Summary:   	XML Parsing java class library implements DOM 2 and SAX 2
Name: 	   	xerces-j
Version:   	1.2.1
Release:   	2
Copyright: 	Apache
Group: 	   	Applications/Internet
Source:  	http://xml.apache.org/dist/Xerces-J-src.%{version}.tar.gz
Source1: 	http://xml.apache.org/dist/Xerces-J-tools.%{version}.tar.gz
Source2:   	xerces-j-1_2_1.makefile.patch
Source3:	xerces-apidocs.patch
URL:	 	http://xml.apache.org/xerces-j/
Packager: 	Henri Gomez <gomez@slib.fr>, Murray Todd Williams <MurrayTodd@yahoo.com>
BuildArch:	noarch
BuildRoot: 	/var/tmp/%{name}-root

%description
The Xerces-J release contains advanced parser functionality, such 
as XML Schema, DOM Level 2, and SAX version 2, in addition to supporting the
industry-standard DOM Level 1 and SAX version 1 APIs.

%package manual
Group: 		Applications/Internet
Requires: 	webserver
Summary: 	Online manual for Xerces-J
Obsoletes:  xerces-j-doc


%description manual
Documentation for Xerces-J, viewable through your web server, too!

%prep
rm -rf ${RPM_BUILD_DIR}/%{jarname}

%setup -c -T -a 0
%setup -T -D -a 1

%build 
cd %{jarname}

# stylebook bug patch
patch -p0 <%{SOURCE2}
mkdir mystyle
cd mystyle
jar xvf ../tools/style-apachexml.jar
cd ..
# apidocs URL patch (in api.html -> apiDocs.html)
patch -p0 <%{SOURCE3}

if [ -f /usr/bin/jikes ]; then
export CLASSPATH=$CLASSPATH:$JAVA_HOME/jre/lib/rt.jar
make jars JAVAC=jikes
else
make jars
fi

make docs apidocs

%install
cd %{jarname}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{javalibdir}
install --mode=0644 bin/xerces.jar $RPM_BUILD_ROOT%{javalibdir}
install --mode=0644 bin/xercesSamples.jar $RPM_BUILD_ROOT%{javalibdir}
mkdir -p $RPM_BUILD_ROOT%{manualdir}
cp -prf  docs/html/* $RPM_BUILD_ROOT%{manualdir}
cp -prf  docs/apiDocs $RPM_BUILD_ROOT%{manualdir}

%post

rm -f /etc/profile.d/%{name}.sh
cat > /etc/profile.d/%{name}.sh <<EOF
#!/bin/bash

if [ -d %{javalibdir} ]; then
        export CLASSPATH=\$CLASSPATH:%{javalibdir}/xerces.jar:%{javalibdir}/xercesSamples.jar
fi
EOF
chmod 644 /etc/profile.d/%{name}.sh

%preun
if [ $1 = 0 ]; then
 	rm -f /etc/profile.d/%{name}.sh
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644 root root 755)
%attr(644,root,root)            %{javalibdir}/xerces.jar
%attr(644,root,root)            %{javalibdir}/xercesSamples.jar
%doc %{jarname}/LICENSE
%doc %{jarname}/Readme.html

%files manual
%defattr(644 root root 755)
%attr( - ,root,root)			%{manualdir}

%changelog
* Thu Nov 16 2000 Henri Gomez <hgomez@slib.fr>
- renamed xerces-j-doc to xerces-j-manual (follow apache RPM naming)

* Tue Oct 24 2000 Henri Gomez <hgomez@slib.fr>
- xerces-j-1.2.1
- valid URI class is now included in source.

* Mon Oct 16 2000 Henri Gomez <hgomez@slib.fr>
- xerces-j-1.2.0 RPM Release 4
- follow Debian policy about java stuff, libs in /usr/share/java,
  executable in /usr/bin
- prepare transition to RH 7.0 new document root (/var/www)

* Fri Oct 06 2000 Henri Gomez <hgomez@slib.fr>
- xerces-j-1.2.0 RPM Release 3
- added correct URI class
- reorganized group packages for javas RPM :
  Development/Tools (ant)
  Developement/Libraries(xalan, xerces)
  Documentation (all ;-)
- rebuilded with IBM JDK 1.3.0 (cx130-20000815) and jikes 1.12
- build CLASSPATH=

* Fri Sep 29 2000 Henri Gomez <hgomez@slib.fr>
- xerces-j-1.2.0 RPM Release 2
- jars are now installed on /usr/lib/java since /opt is
  mounted read-only on many systems <summer@os2.ami.com.au>
- correct bad URL in apidocs

* Tue Sep 26 2000 Henri Gomez <hgomez@slib.fr>
- xerces-j-1.2.0
- patched doc generation via StyleBook 
- a new spec file to rebuild the xerces jars from sources
- try to use jikes if present
- rebuilded with IBM JDK 1.3.0 (cx130-20000815)

* Thu Aug 31 2000 Henri Gomez <hgomez@slib.fr>
- xerces-j-1.1.3

* Wed Apr 12 2000 Murray Todd Williams <murray@codingapes.com>
- xerces-j-1.0.3-1
- changed License.html to LICENSE

* Thu Feb 24 2000 Henri Gomez <gomez@slib.fr>
- xerces-j-1.0.1-5
- corrected add-xerces-j-jserv

* Wed Feb 23 2000 Henri Gomez <gomez@slib.fr>
- xerces-j-1.0.1-4
- created docs packages
- install docs and xdocs in /home/httpd/html/manual for
  access via browser

* Fri Jan 28 2000 Henri Gomez <gomez@slib.fr>
- xerces-j-1.0.1-3
- modified source file. Now get the .jar files from apache/dist
- added two scripts, add-xerces-j-jserv and remove-xerces-j-jserv to
  dynamically add/remove xerces (for xalan/ocoon) support for jserv
- moved xerces-j to /opt/xerces-j to follow ant/tomcat/watchdog/cocoon and
  xalan-j mapping
- removed apache requirement
- removed CLASSPATH updates in /etc/profile. A /etc/profile.d/xerces-j.sh
  is created instead.

* Wed Jan 26 2000 Henri Gomez <gomez@slib.fr>
- xerces-j-1.0.1-2
- added BuildArchitectures: noarch 
- modified spec to use BuildRoot, attr, ...

* Tue Jan 25 2000 Murray Todd Williams <MurrayTodd@yahoo.com>
- xerces-j-1.0.1-1
- initial RPM

